
/*----------------------------------------------------------------------------
   * Name:    mcu.h
   * Purpose: Header File for device dependent includes
   *          for Spansion FM3 Basic Series
   * Note(s): defines set in "options for target - C/C++ - Define"
   *----------------------------------------------------------------------------
   * This file is part of the uVision/ARM development tools.
   * This software may only be used under the terms of a valid, current,
   * end user licence from KEIL for a compatible version of KEIL software
   * development tools. Nothing else gives you the right to use this software.
   *
   * This software is supplied "AS IS" without warranties of any kind.
   *
   * Copyright (c) 2013 Keil - An ARM Company. All rights reserved.
   *----------------------------------------------------------------------------*/


#ifndef _MCU_H_
#define _MCU_H_

#ifdef MB9AF102N
  #include "MB9A100A\mb9a100n.h"            // MB9AF102N header file include
  #include "MB9A100A\system_mb9af10x.h"     // MB9AF102N system start-up header file include

#elif defined MB9AF102R
  #include "MB9A100A\mb9a100r.h"            // MB9AF102R header file include
  #include "MB9A100A\system_mb9af10x.h"     // MB9AF102R system start-up header file include

#elif defined MB9AF104N
  #include "MB9A100A\mb9a100n.h"            // MB9AF104N header file include
  #include "MB9A100A\system_mb9af10x.h"     // MB9AF104N system start-up header file include

#elif defined MB9AF104R
  #include "MB9A100A\mb9a100r.h"            // MB9AF104R header file include
  #include "MB9A100A\system_mb9af10x.h"     // MB9AF104R system start-up header file include

#elif defined MB9AF111K
  #include "MB9A110K\mb9a110k.h"            // MB9AF111K header file include
  #include "MB9A110K\system_mb9af11x.h"     // MB9AF111K system start-up header file include

#elif defined MB9AF111L
  #include "MB9A110A\mb9a110l.h"            // MB9AF111L header file include
  #include "MB9A110A\system_mb9af11x.h"     // MB9AF111L system start-up header file include

#elif defined MB9AF111M
  #include "MB9A110A\mb9a110m.h"            // MB9AF111M header file include
  #include "MB9A110A\system_mb9af11x.h"     // MB9AF111M system start-up header file include

#elif defined MB9AF111N
  #include "MB9A110A\mb9a110n.h"            // MB9AF111N header file include
  #include "MB9A110A\system_mb9af11x.h"     // MB9AF111N system start-up header file include

#elif defined MB9AF112K
  #include "MB9A110K\mb9a110k.h"            // MB9AF112K header file include
  #include "MB9A110K\system_mb9af11x.h"     // MB9AF112K system start-up header file include

#elif defined MB9AF112L
  #include "MB9A110A\mb9a110l.h"            // MB9AF112L header file include
  #include "MB9A110A\system_mb9af11x.h"     // MB9AF112L system start-up header file include

#elif defined MB9AF112M
  #include "MB9A110A\mb9a110m.h"            // MB9AF112M header file include
  #include "MB9A110A\system_mb9af11x.h"     // MB9AF112M system start-up header file include

#elif defined MB9AF112N
  #include "MB9A110A\mb9a110n.h"            // MB9AF112N header file include
  #include "MB9A110A\system_mb9af11x.h"     // MB9AF112N system start-up header file include

#elif defined MB9AF114L
  #include "MB9A110A\mb9a110l.h"            // MB9AF114L header file include
  #include "MB9A110A\system_mb9af11x.h"     // MB9AF114L system start-up header file include

#elif defined MB9AF114M
  #include "MB9A110A\mb9a110m.h"            // MB9AF114M header file include
  #include "MB9A110A\system_mb9af11x.h"     // MB9AF114M system start-up header file include

#elif defined MB9AF114N
  #include "MB9A110A\mb9a110n.h"            // MB9AF114N header file include
  #include "MB9A110A\system_mb9af11x.h"     // MB9AF114N system start-up header file include

#elif defined MB9AF115M
  #include "MB9A110A\mb9a110m.h"            // MB9AF115M header file include
  #include "MB9A110A\system_mb9af11x.h"     // MB9AF115M system start-up header file include

#elif defined MB9AF115N
  #include "MB9A110A\mb9a110n.h"            // MB9AF115N header file include
  #include "MB9A110A\system_mb9af11x.h"     // MB9AF115N system start-up header file include

#elif defined MB9AF116M
  #include "MB9A110A\mb9a110m.h"            // MB9AF116M header file include
  #include "MB9A110A\system_mb9af11x.h"     // MB9AF116M system start-up header file include

#elif defined MB9AF116N
  #include "MB9A110A\mb9a110n.h"            // MB9AF116N header file include
  #include "MB9A110A\system_mb9af11x.h"     // MB9AF116N system start-up header file include

#elif defined MB9AF121K
  #include "MB9A120L\mb9a120k.h"            // MB9AF121K header file include
  #include "MB9A120L\system_mb9af12x.h"     // MB9AF121K system start-up header file include

#elif defined MB9AF121L
  #include "MB9A120L\mb9a120l.h"            // MB9AF121L header file include
  #include "MB9A120L\system_mb9af12x.h"     // MB9AF121L system start-up header file include

#elif defined MB9AF311K
  #include "MB9A310K\mb9a310k.h"            // MB9AF311K header file include
  #include "MB9A310K\system_mb9af31x.h"     // MB9AF311K system start-up header file include

#elif defined MB9AF311L
  #include "MB9A310A\mb9a310l.h"            // MB9AF311L header file include
  #include "MB9A310A\system_mb9af31x.h"     // MB9AF311L system start-up header file include

#elif defined MB9AF311M
  #include "MB9A310A\mb9a310m.h"            // MB9AF311M header file include
  #include "MB9A310A\system_mb9af31x.h"     // MB9AF311M system start-up header file include

#elif defined MB9AF311N
  #include "MB9A310A\mb9a310n.h"            // MB9AF311N header file include
  #include "MB9A310A\system_mb9af31x.h"     // MB9AF311N system start-up header file include

#elif defined MB9AF312K
  #include "MB9A310K\mb9a310k.h"            // MB9AF312K header file include
  #include "MB9A310K\system_mb9af31x.h"     // MB9AF312K system start-up header file include

#elif defined MB9AF312L
  #include "MB9A310A\mb9a310l.h"            // MB9AF312L header file include
  #include "MB9A310A\system_mb9af31x.h"     // MB9AF312L system start-up header file include

#elif defined MB9AF312M
  #include "MB9A310A\mb9a310m.h"            // MB9AF312M header file include
  #include "MB9A310A\system_mb9af31x.h"     // MB9AF312M system start-up header file include

#elif defined MB9AF312N
  #include "MB9A310A\mb9a310n.h"            // MB9AF312N header file include
  #include "MB9A310A\system_mb9af31x.h"     // MB9AF312N system start-up header file include

#elif defined MB9AF314L
  #include "MB9A310A\mb9a310l.h"            // MB9AF314L header file include
  #include "MB9A310A\system_mb9af31x.h"     // MB9AF314L system start-up header file include

#elif defined MB9AF314M
  #include "MB9A310A\mb9a310m.h"            // MB9AF314M header file include
  #include "MB9A310A\system_mb9af31x.h"     // MB9AF314M system start-up header file include

#elif defined MB9AF314N
  #include "MB9A310A\mb9a310n.h"            // MB9AF314N header file include
  #include "MB9A310A\system_mb9af31x.h"     // MB9AF314N system start-up header file include

#elif defined MB9AF315M
  #include "MB9A310A\mb9a310m.h"            // MB9AF315M header file include
  #include "MB9A310A\system_mb9af31x.h"     // MB9AF315M system start-up header file include

#elif defined MB9AF315N
  #include "MB9A310A\mb9a310n.h"            // MB9AF315N header file include
  #include "MB9A310A\system_mb9af31x.h"     // MB9AF315N system start-up header file include

#elif defined MB9AF316M
  #include "MB9A310A\mb9a310m.h"            // MB9AF316M header file include
  #include "MB9A310A\system_mb9af31x.h"     // MB9AF316M system start-up header file include

#elif defined MB9AF316N
  #include "MB9A310A\mb9a310n.h"            // MB9AF316N header file include
  #include "MB9A310A\system_mb9af31x.h"     // MB9AF316N system start-up header file include

#elif defined MB9AF421K
  #include "MB9A420L\mb9a420k.h"            // MB9AF421K header file include
  #include "MB9A420L\system_mb9af42x.h"     // MB9AF421K system start-up header file include

#elif defined MB9AF421L
  #include "MB9A420L\mb9a420l.h"            // MB9AF421L header file include
  #include "MB9A420L\system_mb9af42x.h"     // MB9AF421L system start-up header file include

#elif defined MB9BF121J
  #include "MB9B120J\mb9b120j.h"            // MB9BF121J header file include
  #include "MB9B120J\system_mb9bf12x.h"     // MB9BF121J system start-up header file include

#elif defined MB9BF121K
  #include "MB9B120M\mb9b120k.h"            // MB9BF121K header file include
  #include "MB9B120M\system_mb9bf12x.h"     // MB9BF121K system start-up header file include

#elif defined MB9BF121L
  #include "MB9B120M\mb9b120l.h"            // MB9BF121L header file include
  #include "MB9B120M\system_mb9bf12x.h"     // MB9BF121L system start-up header file include

#elif defined MB9BF121M
  #include "MB9B120M\mb9b120m.h"            // MB9BF121M header file include
  #include "MB9B120M\system_mb9bf12x.h"     // MB9BF121M system start-up header file include

#elif defined MB9BF122K
  #include "MB9B120M\mb9b120k.h"            // MB9BF122K header file include
  #include "MB9B120M\system_mb9bf12x.h"     // MB9BF122K system start-up header file include

#elif defined MB9BF122L
  #include "MB9B120M\mb9b120l.h"            // MB9BF122L header file include
  #include "MB9B120M\system_mb9bf12x.h"     // MB9BF122L system start-up header file include

#elif defined MB9BF122M
  #include "MB9B120M\mb9b120m.h"            // MB9BF122M header file include
  #include "MB9B120M\system_mb9bf12x.h"     // MB9BF122M system start-up header file include

#elif defined MB9BF124K
  #include "MB9B120M\mb9b120k.h"            // MB9BF124K header file include
  #include "MB9B120M\system_mb9bf12x.h"     // MB9BF124K system start-up header file include

#elif defined MB9BF124L
  #include "MB9B120M\mb9b120l.h"            // MB9BF124L header file include
  #include "MB9B120M\system_mb9bf12x.h"     // MB9BF124L system start-up header file include

#elif defined MB9BF124M
  #include "MB9B120M\mb9b120m.h"            // MB9BF124M header file include
  #include "MB9B120M\system_mb9bf12x.h"     // MB9BF124M system start-up header file include

#elif defined MB9BF128S
  #include "MB9B120T\mb9b120s.h"            // MB9BF128S header file include
  #include "MB9B120T\system_mb9bf12x.h"     // MB9BF128S system start-up header file include

#elif defined MB9BF128T
  #include "MB9B120T\mb9b120t.h"            // MB9BF128T header file include
  #include "MB9B120T\system_mb9bf12x.h"     // MB9BF128T system start-up header file include

#elif defined MB9BF129S
  #include "MB9B120T\mb9b120s.h"            // MB9BF129S header file include
  #include "MB9B120T\system_mb9bf12x.h"     // MB9BF129S system start-up header file include

#elif defined MB9BF129T
  #include "MB9B120T\mb9b120t.h"            // MB9BF129T header file include
  #include "MB9B120T\system_mb9bf12x.h"     // MB9BF129T system start-up header file include

#elif defined MB9BF321K
  #include "MB9B320M\mb9b320k.h"            // MB9BF321K header file include
  #include "MB9B320M\system_mb9bf32x.h"     // MB9BF321K system start-up header file include

#elif defined MB9BF321L
  #include "MB9B320M\mb9b320l.h"            // MB9BF321L header file include
  #include "MB9B320M\system_mb9bf32x.h"     // MB9BF321L system start-up header file include

#elif defined MB9BF321M
  #include "MB9B320M\mb9b320m.h"            // MB9BF321M header file include
  #include "MB9B320M\system_mb9bf32x.h"     // MB9BF321M system start-up header file include

#elif defined MB9BF322K
  #include "MB9B320M\mb9b320k.h"            // MB9BF322K header file include
  #include "MB9B320M\system_mb9bf32x.h"     // MB9BF322K system start-up header file include

#elif defined MB9BF322L
  #include "MB9B320M\mb9b320l.h"            // MB9BF322L header file include
  #include "MB9B320M\system_mb9bf32x.h"     // MB9BF322L system start-up header file include

#elif defined MB9BF322M
  #include "MB9B320M\mb9b320m.h"            // MB9BF322M header file include
  #include "MB9B320M\system_mb9bf32x.h"     // MB9BF322M system start-up header file include

#elif defined MB9BF324K
  #include "MB9B320M\mb9b320k.h"            // MB9BF324K header file include
  #include "MB9B320M\system_mb9bf32x.h"     // MB9BF324K system start-up header file include

#elif defined MB9BF324L
  #include "MB9B320M\mb9b320l.h"            // MB9BF324L header file include
  #include "MB9B320M\system_mb9bf32x.h"     // MB9BF324L system start-up header file include

#elif defined MB9BF324M
  #include "MB9B320M\mb9b320m.h"            // MB9BF324M header file include
  #include "MB9B320M\system_mb9bf32x.h"     // MB9BF324M system start-up header file include

#elif defined MB9BF328S
  #include "MB9B320T\mb9b320s.h"            // MB9BF328S header file include
  #include "MB9B320T\system_mb9bf32x.h"     // MB9BF328S system start-up header file include

#elif defined MB9BF328T
  #include "MB9B320T\mb9b320t.h"            // MB9BF328T header file include
  #include "MB9B320T\system_mb9bf32x.h"     // MB9BF328T system start-up header file include

#elif defined MB9BF329S
  #include "MB9B320T\mb9b320s.h"            // MB9BF329S header file include
  #include "MB9B320T\system_mb9bf32x.h"     // MB9BF329S system start-up header file include

#elif defined MB9BF329T
  #include "MB9B320T\mb9b320t.h"            // MB9BF329T header file include
  #include "MB9B320T\system_mb9bf32x.h"     // MB9BF329T system start-up header file include

#elif defined MB9BF428S
  #include "MB9B420T\mb9b420s.h"            // MB9BF428S header file include
  #include "MB9B420T\system_mb9bf42x.h"     // MB9BF428S system start-up header file include

#elif defined MB9BF428T
  #include "MB9B420T\mb9b420t.h"            // MB9BF428T header file include
  #include "MB9B420T\system_mb9bf42x.h"     // MB9BF428T system start-up header file include

#elif defined MB9BF429S
  #include "MB9B420T\mb9b420s.h"            // MB9BF429S header file include
  #include "MB9B420T\system_mb9bf42x.h"     // MB9BF429S system start-up header file include

#elif defined MB9BF429T
  #include "MB9B420T\mb9b420t.h"            // MB9BF429T header file include
  #include "MB9B420T\system_mb9bf42x.h"     // MB9BF429T system start-up header file include

#elif defined MB9BF521K
  #include "MB9B520M\mb9b520k.h"            // MB9BF521K header file include
  #include "MB9B520M\system_mb9bf52x.h"     // MB9BF521K system start-up header file include

#elif defined MB9BF521L
  #include "MB9B520M\mb9b520l.h"            // MB9BF521L header file include
  #include "MB9B520M\system_mb9bf52x.h"     // MB9BF521L system start-up header file include

#elif defined MB9BF521M
  #include "MB9B520M\mb9b520m.h"            // MB9BF521M header file include
  #include "MB9B520M\system_mb9bf52x.h"     // MB9BF521M system start-up header file include

#elif defined MB9BF522K
  #include "MB9B520M\mb9b520k.h"            // MB9BF522K header file include
  #include "MB9B520M\system_mb9bf52x.h"     // MB9BF522K system start-up header file include

#elif defined MB9BF522L
  #include "MB9B520M\mb9b520l.h"            // MB9BF522L header file include
  #include "MB9B520M\system_mb9bf52x.h"     // MB9BF522L system start-up header file include

#elif defined MB9BF522M
  #include "MB9B520M\mb9b520m.h"            // MB9BF522M header file include
  #include "MB9B520M\system_mb9bf52x.h"     // MB9BF522M system start-up header file include

#elif defined MB9BF524K
  #include "MB9B520M\mb9b520k.h"            // MB9BF524K header file include
  #include "MB9B520M\system_mb9bf52x.h"     // MB9BF524K system start-up header file include

#elif defined MB9BF524L
  #include "MB9B520M\mb9b520l.h"            // MB9BF524L header file include
  #include "MB9B520M\system_mb9bf52x.h"     // MB9BF524L system start-up header file include

#elif defined MB9BF524M
  #include "MB9B520M\mb9b520m.h"            // MB9BF524M header file include
  #include "MB9B520M\system_mb9bf52x.h"     // MB9BF524M system start-up header file include

#elif defined MB9BF528S
  #include "MB9B520T\mb9b520s.h"            // MB9BF528S header file include
  #include "MB9B520T\system_mb9bf52x.h"     // MB9BF528S system start-up header file include

#elif defined MB9BF528T
  #include "MB9B520T\mb9b520t.h"            // MB9BF528T header file include
  #include "MB9B520T\system_mb9bf52x.h"     // MB9BF528T system start-up header file include

#elif defined MB9BF529S
  #include "MB9B520T\mb9b520s.h"            // MB9BF529S header file include
  #include "MB9B520T\system_mb9bf52x.h"     // MB9BF529S system start-up header file include

#elif defined MB9BF529T
  #include "MB9B520T\mb9b520t.h"            // MB9BF529T header file include
  #include "MB9B520T\system_mb9bf52x.h"     // MB9BF529T system start-up header file include

#else
  #error "No MCU defined!"

#endif  /* MCU List */

#endif  /* #ifdef _MCU_H_ */
